--- /dev/null	2012-06-13 12:05:35.000000000 +0000
+++ new/usr/src/uts/common/netinet/dccp.h	2012-06-13 12:05:35.293318468 +0000
@@ -0,0 +1,38 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2012 David Hoeppner.  All rights reserved.
+ */
+
+#ifndef	_NETINET_DCCP_H
+#define	_NETINET_DCCP_H
+
+#ifdef	__cplusplus
+extern "C" {
+#endif
+
+/*
+ * DCCP states
+ */
+#define	DCCPS_CLOSED	-5
+#define	DCCPS_BOUND	-4
+#define DCCPS_LISTEN	-3
+#define	DCCPS_REQUEST	-2
+#define	DCCPS_RESPOND	-1
+#define DCCPS_PARTOPEN	0
+
+
+#ifdef	__cplusplus
+}
+#endif
+
+#endif	/* _NETINET_DCCP_H */
